#ifndef MY_RGBGRAY
#define MY_RGBGRAY


#include "i3d/image3d.h"

/**
z Wikipedie:

The model used for HDTV developed by the ATSC uses different color
coefficients, computing the luma component as:

    Y' = 0.2126 R + 0.7152 G + 0.0722 B

http://en.wikipedia.org/wiki/Grayscale#Converting_color_to_grayscale
*/
void RGBtoGRAY8(const i3d::Image3d<i3d::RGB>& in,i3d::Image3d<i3d::GRAY8>& out);

#endif
